GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter Class Reference

## Public Member Functions
String | getLabelPrinter ()
void | setLabelPrinter (String value)
String | getDocumentPrinter ()
void | setDocumentPrinter (String value)

## Protected Attributes
String | labelPrinter
String | documentPrinter

## Detailed Description

Define configured printers for printing labels and shipment documents.

Java class for DefinePrinter complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="DefinePrinter">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="LabelPrinter" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Printer"/>
            <element name="DocumentPrinter" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Printer" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## Member Function Documentation

## ◆ getDocumentPrinter()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.getDocumentPrinter | ( |  | ) |

Gets the value of the documentPrinter property.

Returns
  possible object is String

Definition at line 78 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## ◆ getLabelPrinter()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.getLabelPrinter | ( |  | ) |

Gets the value of the labelPrinter property.

Returns
  possible object is String

Definition at line 54 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## ◆ setDocumentPrinter()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.setDocumentPrinter | ( | String | value | ) |

Sets the value of the documentPrinter property.

Parameters

  value | allowed object is String

Definition at line 90 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## ◆ setLabelPrinter()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.setLabelPrinter | ( | String | value | ) |

Sets the value of the labelPrinter property.

Parameters

  value | allowed object is String

Definition at line 66 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## Member Data Documentation

## ◆ documentPrinter

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.documentPrinter
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

## ◆ labelPrinter

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.DefinePrinter.labelPrinter
| protected

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/DefinePrinter.java